     /*
      * Copyright (c) 2007-2009 Mihael Schmidt
      * All rights reserved.
      *
      * This file is part of the JSON service program.
      *
      * JSON service program is free software: you can redistribute it and/or modify it under
      * the terms of the GNU Lesser General Public License as published by
      * the Free Software Foundation, either version 3 of the License, or
      * any later version.
      *
      * JSON service program is distributed in the hope that it will be useful,
      * but WITHOUT ANY WARRANTY; without even the implied warranty of
      * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
      * GNU Lesser General Public License for more details.
      *
      * You should have received a copy of the GNU Lesser General Public
      * License along with JSON service program.  If not, see http://www.gnu.org/licenses/.
      */

/* JSON_CHK_H.RPGLE */

typedef struct json_checker_struct {
    int state;
    int depth;
    int top;
    int* stack;
} * JSON_checker;


extern json_checker json_new_checker(int depth);
extern int  json_checker_char(JSON_checker jc, int next_char);
extern int  json_checker_done(JSON_checker jc);
